%define upstream_name    Parallel-ForkManager-Segmented
%define upstream_version 0.10.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use Parallel::ForkManager on batches / segments of items
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Parallel::ForkManager)
BuildRequires: perl(Parallel::ForkManager::Segmented::Base)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Use Parallel::ForkManager on batches / segments of items.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Oct 29 2020 tv <tv> 0.10.1-1.mga8
+ Revision: 1640355
- update to 0.10.1

* Thu Oct 01 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1631395
- update to 0.10.0

* Wed Sep 30 2020 tv <tv> 0.8.0-1.mga8
+ Revision: 1631282
- update to 0.8.0

* Sat Aug 01 2020 tv <tv> 0.6.0-1.mga8
+ Revision: 1610227
- update to 0.6.0

* Sun Feb 16 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1531410
- Mageia 8 Mass Rebuild

* Thu Sep 12 2019 tv <tv> 0.2.0-1.mga8
+ Revision: 1439951
- update to 0.2.0

* Thu Sep 20 2018 umeabot <umeabot> 0.0.2-2.mga7
+ Revision: 1285482
- Mageia 7 Mass Rebuild

* Fri Aug 24 2018 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1253651
- update to 0.0.2

* Thu Aug 16 2018 shlomif <shlomif> 0.0.1-1.mga7
+ Revision: 1251844
- fix desc
- imported package perl-Parallel-ForkManager-Segmented

